<?php
/**
 *
 * AntiAdblock extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, array(
        'ANTIADBLOCK_NO_JAVA'                       => 'Please, in order to access our website you need to activate JavaScript in your Browser !!!',
        'ANTIADBLOCK_HELP_JAVA'                     => 'How to enable JavaScript in your Browser',
        'ANTIADBLOCK_JAVA_URL'                      => 'https://www.enable-javascript.com/',

        // ACP
        'ACP_ANTIADBLOCK'                           => 'Anti Adblock',
        'ACP_ANTIADBLOCK_EXPLAIN'                   => 'This extension warns users who use Ad Blockers on our website.<br><br>It is fully configurable from this section, being able to select the position and type of the warning message, the time to be displayed, the delay between the warnings and the option to close the message by means of a button with a countdown.<br>It includes the management of permissions of User Groups and Forums to be able to define when and to whom the warnings will be shown.<br>It is possible to create texts for as many languages ​​as necessary.<br>The user who accesses our website and does not have the text of the warning defined in their language, will see the default warning in English.<br><br>Note: Remember to configure correctly the custom permission roles of Groups and Forums.',
        'ACP_ANTIADBLOCK_VERSION'                   => 'Extension Version: ',
        'ACP_ANTIADBLOCK_LANGUAGES'                 => 'Language Data',
        'ACP_ANTIADBLOCK_SETTINGS'                  => 'Configuration',
        'ACP_ANTIADBLOCK_ACTIVE'                    => 'Activar Anti Adblock',
        'ACP_ANTIADBLOCK_PACK_LANGUAGE'             => 'Language (Package: %s)',
        'ACP_ANTIADBLOCK_REQUEST_INI'               => 'Text of the Warning Title',
        'ACP_ANTIADBLOCK_REQUEST_INI_EXPLAIN'       => '(*) Obligatory field.',
        'ACP_ANTIADBLOCK_REQUEST_DISABLE'           => 'Text of the Warning',
        'ACP_ANTIADBLOCK_REQUEST_DISABLE_EXPLAIN'   => '(*) Optional.',
        'ACP_ANTIADBLOCK_CLOSE_OVER'                => 'Message next to Close Button',
        'ACP_ANTIADBLOCK_CLOSE_OVER_EXPLAIN'        => '(*) Optional.',
        'ACP_ANTIADBLOCK_TAKE_HELP'                 => 'External Link Text',
        'ACP_ANTIADBLOCK_TAKE_HELP_EXPLAIN'         => '(*) Optional.',
        'ACP_ANTIADBLOCK_TAKE_HELP_URL'             => 'Complete URL for External Link Text',
        'ACP_ANTIADBLOCK_TAKE_HELP_URL_EXPLAIN'     => '(*) Optional.',
        'ACP_ANTIADBLOCK_COOKIE'                    => 'Delay time between each Warning',
        'ACP_ANTIADBLOCK_COOKIE_EXPLAIN'            => 'This value sets the period of time in which the user can access the forum without receiving any Warning. A value less than or equal to 10 will be considered as a ZERO value.',
        'ACP_DISPLAY_ANTIADBLOCK_SHOW'              => 'Show Warning in',
        'ACP_ANTIADBLOCK_SCREEN'                    => 'Full Screen (The User CAN NOT browse the Forum)',
        'ACP_ANTIADBLOCK_BANNER'                    => 'Emergent Window (The User can navigate PARTIALLY through the Forum)',
        'ACP_ANTIADBLOCK_MESSAGE'                   => 'Top Message (The User CAN browse the Forum)',
        'ACP_ANTIADBLOCK_CAN_CLOSED'                => 'Show Button to close Warning',
        'ACP_ANTIADBLOCK_CAN_CLOSED_EXPLAIN'        => 'If NO is selected, the user CAN NOT close the Warning message.<br />Note: Does not apply in "Top Message".',
        'ACP_DISPLAY_ANTIADBLOCK_TIME'              => 'Delay time to close Warning',
        'ACP_DISPLAY_ANTIADBLOCK_TIME_EXPLAIN'      => 'This option will only be valid if the option <i>Delay time to close Warning</i> is selected in YES.<br />Note: Does not apply in "Top Message".',
        'ACP_UNI_DELAY'                             => 'Seconds',
        'ACP_DISPLAY_INSTALL_ERROR'                 => 'Anti Adblock can not be installed. PhpBB 3.2.0 or later is required.',
        'ACP_DISPLAY_ANTIADBLOCK_ID_INVALID_TIT'    => 'The current size (%s characters) of the "%s" field of the Language Pack (%s) is not valid. <br /> Must be less than 550 characters and can not be empty . ',
        'ACP_DISPLAY_ANTIADBLOCK_ID_INVALID_DIS'    => 'The current size (%s characters) of the "%s" field of the Language Pack (%s) is not valid. <br /> Must be less than 550 characters.',
        'ACP_ANTIADBLOCK_PACK_LANGUAGE_NEW'         => 'Create New',
        'ACP_ANTIADBLOCK_NAME_NEW'                  => 'Name (ISO Code)',
        'ACP_ANTIADBLOCK_NAME_NEW_EXPLAIN'          => '(*) Obligatory field.',
        'ACP_ANTIADBLOCK_DELETE'                    => 'Delete',
        'ACP_ANTIADBLOCK_DELETE_EXPLAIN'            => 'This option is not reversible.<br>All the data defined for this language will be lost.<br><i>Note: Only applies to this Extension.<i>',
        'ACP_ANTIADBLOCK_LANGUAGE_EXIST'            => 'The new language (%s) already exists. It is not possible to recreate it.',
        'LOG_CONFIG_ANTIADBLOCK'                    => '<strong>Edited Anti Adblock Extension</strong>',

        // Permissions
        'ACL_CAT_ANTIADBLOCK'                       => 'Anti-Adblock',
        'ACL_U_SHOW_ANTIADBLOCK'                    => 'Display Warning Messages to DEACTIVATE Adblock',
        'ACL_F_SHOW_ANTIADBLOCK'                    => 'Display Warning Messages in the Forum to DEACTIVATE Adblock',
));
?>