<?php
/**
 *
 * AntiAdblock extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\AntiAdblock\migrations;

class release_1_0_1 extends \phpbb\db\migration\migration
{

    public function effectively_installed()
    {
        return !empty($this->config['version_antiadblock']);
    }

    /**
    * Assign migration file dependencies for this migration
    *
    * @return array Array of migration files
    * @static
    * @access public
    */
    static public function depends_on()
    {
        return array('\phpbb\db\migration\data\v320\v320');
    }

    /**
    * Add Google Analytics data to the database.
    *
    * @return array Array of table data
    * @access public
    */
    public function update_data()
    {
        return array(
            array('config.add', array('version_antiadblock', '1.0.1')),
            array('config.add', array('antiadblock_banner', 2)),
            array('config.add', array('antiadblock_can_closed', 1)),            
            array('config.add', array('antiadblock_delay', 5)),
            array('config.add', array('antiadblock_cookie', 30)),            
        );
    }

    public function revert_data()
    {
        return array(
            // Delete config
            array('config.remove', array('version_antiadblock')),
            array('config.remove', array('antiadblock_banner')),
            array('config.remove', array('antiadblock_can_closed')),            
            array('config.remove', array('antiadblock_delay')),
            array('config.remove', array('antiadblock_cookie')),            
        );
    }
}
?>