<?php
/**
 *
 * AntiAdblock extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\AntiAdblock\migrations;

class release_1_0_3 extends \phpbb\db\migration\migration
{
    static public function depends_on()
    {
        return array(
            '\Picaron\AntiAdblock\migrations\release_1_0_2',
        );
    }

    public function update_data()
    {
        $idiomas = array('es', 'en');

        $texto['es']['ini'] = 'Nuestro sitio web muestra anuncios en línea a nuestros visitantes para poder sufragar los gastos de hospedaje.

¡¡¡ Por favor, considere apoyarnos desactivando nuestra Web en su Bloqueador de Anuncios. !!!';
        $texto['es']['hel'] = 'Cómo deshabilitar AdBlock';
        $texto['es']['url'] = 'https://es.wikihow.com/deshabilitar-AdBlock';
        $texto['es']['dis'] = 'DESACTIVE SU ADBLOCKER EN NUESTRA WEB PARA PODER DISFRUTAR EL CONTENIDO
1.- Pulse el icono del adblocker.
2.- Seleccione "No actuar en páginas de este dominio" (o similar).
También puede pulsar el botón "Activado en este sitio" o "Pausar adblocker".
3.- Pulse el botón "Refrescar" de su navegador para ver el contenido que quiera visualizar.';
        $texto['es']['ove'] = '(Encima para Cerrar)';

        $texto['en']['ini'] = 'Our website shows online advertisements to our visitors to cover the cost of hosting.

Please, consider supporting us by deactivating our Web in your Ad Blocker. !!!';
        $texto['en']['hel'] = 'How to disable AdBlock';
        $texto['en']['url'] = 'https://www.wikihow.com/Disable-AdBlock';
        $texto['en']['dis'] = 'DISABLE YOUR ADBLOCKER ON OUR WEB TO ENJOY THE CONTENT
1.- Press the adblocker icon.
2.- Select "Do not act on pages of this domain" (or similar).
You can also press the "Activated on this site" or "Pause adblocker" button.
3.- Press the "Refresh" button of your browser to see the content you want to view.';
        $texto['en']['ove'] = '(Over to Close)';

        $datos = array(

            // Current version
            array('config.add', array('version_antiadblock', '1.0.3')),
            array('if', array(
                (isset($this->config['version_antiadblock']) && version_compare($this->config['version_antiadblock'], '1.0.3', '<')),
                array('config.update', array('version_antiadblock', '1.0.3')),
            )),

            array('config.update', array('antiadblock_banner', 3)),
            array('config.update', array('antiadblock_can_closed', 0)),
            array('config.update', array('antiadblock_delay', 1)),
            array('config.update', array('antiadblock_cookie', 5)),
            array('config.add', array('antiadblock_active', 1)),
            array('config_text.add', array('antiadblock_languages', json_encode(serialize($idiomas)))),

            // Add ACP extension category
            array('module.add', array(
                'acp',
                'ACP_CAT_DOT_MODS',
                'ACP_ANTIADBLOCK',
            )),

            // Add ACP preferences module
            array('module.add', array(
                'acp',
                'ACP_ANTIADBLOCK',
                array(
                    'module_basename'   => '\Picaron\AntiAdblock\acp\acp_antiadblock_module',
                    'modes'             => array(
                        'antiadblock',
                    ),
                ),
            )),

        );

        foreach ($idiomas as $i)
        {
            $datos[] = array('config_text.add', array('antiadblock_ini_'.$i, $texto[$i]['ini']));
            $datos[] = array('config_text.add', array('antiadblock_help_'.$i, $texto[$i]['hel']));
            $datos[] = array('config_text.add', array('antiadblock_help_url_'.$i, $texto[$i]['url']));
            $datos[] = array('config_text.add', array('antiadblock_disable_'.$i, $texto[$i]['dis']));
            $datos[] = array('config_text.add', array('antiadblock_over_'.$i, $texto[$i]['ove']));
        }
        return $datos;
    }

    public function revert_data()
    {
        global $config_text, $phpbb_container;

        $idiomas = array('es', 'en');

        $datos =  array(
            array('config.remove', array('antiadblock_active')),
            array('config_text.remove', array('antiadblock_languages')),
            array('if', array(
                array('module.exists', array('acp', false, 'ACP_ANTIADBLOCK')),
                array('module.remove', array('acp', false, 'ACP_ANTIADBLOCK')),
            )),
        );

        foreach ($idiomas as $i)
        {
            $datos[] = array('config_text.remove', array('antiadblock_ini_'.$i));
            $datos[] = array('config_text.remove', array('antiadblock_help_'.$i));
            $datos[] = array('config_text.remove', array('antiadblock_help_url_'.$i));
            $datos[] = array('config_text.remove', array('antiadblock_disable_'.$i));
            $datos[] = array('config_text.remove', array('antiadblock_over_'.$i));
        }

        // Delete all vars %config_text creates in application
        $this->config_text = $phpbb_container->get('config_text');
        $cadena = $this->config_text->get('antiadblock_languages');
        $idiomas = !empty($cadena) ? unserialize(json_decode($cadena, true)) : array();

        foreach ($idiomas as $i)
        {
            if ($i == 'es' || $i == 'en')
            {
                continue;
            }

            $this->config_text->delete('antiadblock_ini_'.$i);
            $this->config_text->delete('antiadblock_help_'.$i);
            $this->config_text->delete('antiadblock_help_url_'.$i);
            $this->config_text->delete('antiadblock_disable_'.$i);
            $this->config_text->delete('antiadblock_over_'.$i);
        }

        return $datos;
    }
}
?>