<?php
/**
 *
 * AntiAdblock extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\AntiAdblock\migrations;

class release_1_0_4 extends \phpbb\db\migration\migration
{
    static public function depends_on()
    {
        return array(
            '\Picaron\AntiAdblock\migrations\release_1_0_3',
        );
    }

    public function update_data()
    {
        return array(
            array('if', array(
                (isset($this->config['version_antiadblock']) && version_compare($this->config['version_antiadblock'], '1.0.4', '<')),
                array('config.update', array('version_antiadblock', '1.0.4')),
            )),
            array('config.add', array('antiadblock_forums', '')),
            array('config.add', array('antiadblock_pages', 1)),
        );
    }

    public function revert_data()
    {
        return array(
            // Delete config
            array('config.remove', array('antiadblock_forums')),
            array('config.remove', array('antiadblock_pages')),
        );
    }
}
?>