<?php
/**
 *
 * AntiAdblock extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\AntiAdblock\migrations;

class release_1_0_5 extends \phpbb\db\migration\migration
{
    static public function depends_on()
    {
        return array(
            '\Picaron\AntiAdblock\migrations\release_1_0_4',
        );
    }

    public function update_data()
    {
        return array(
            // Update config
            array('if', array(
                (isset($this->config['version_antiadblock']) && version_compare($this->config['version_antiadblock'], '1.0.5', '<')),
                array('config.update', array('version_antiadblock', '1.0.5')),
            )),

            // Delete config
            array('config.remove', array('antiadblock_forums')),
            array('config.remove', array('antiadblock_pages')),

            // Add permissions
            array('permission.add', array('u_show_antiadblock', true)),
            array('permission.add', array('f_show_antiadblock', false)),

            // Set permissions
            array('permission.permission_set', array('REGISTERED', 'u_show_antiadblock', 'group', true)),
            array('permission.permission_set', array('NEWLY_REGISTERED', 'u_show_antiadblock', 'group', true)),
            array('permission.permission_set', array('BOTS', 'u_show_antiadblock', 'group', false)),
            array('permission.permission_set', array('GUESTS', 'u_show_antiadblock', 'group', true)),

            array('permission.permission_set', array('ROLE_USER_FULL', 'u_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_USER_LIMITED', 'u_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_USER_NEW_MEMBER', 'u_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_USER_NOAVATAR', 'u_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_USER_NOPM', 'u_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_USER_STANDARD', 'u_show_antiadblock', 'role', true)),

            array('permission.permission_set', array('ROLE_FORUM_BOT', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_FULL', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_LIMITED', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_LIMITED_POLLS', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_NEW_MEMBER', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_NOACCESS', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_ONQUEUE', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_POLLS', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_READONLY', 'f_show_antiadblock', 'role', true)),
            array('permission.permission_set', array('ROLE_FORUM_STANDARD', 'f_show_antiadblock', 'role', true)),
        );
    }

    public function revert_data()
    {
        return array(

            // Remove permissions
            array('permission.remove', array('u_show_antiadblock')),
            array('permission.remove', array('f_show_antiadblock')),

            // Unset permissions
            array('permission.permission_unset', array('REGISTERED', 'u_show_antiadblock', 'group')),
            array('permission.permission_unset', array('NEWLY_REGISTERED', 'u_show_antiadblock', 'group')),
            array('permission.permission_unset', array('BOTS', 'u_show_antiadblock', 'group')),
            array('permission.permission_unset', array('GUESTS', 'u_show_antiadblock', 'group')),

            array('permission.permission_unset', array('ROLE_USER_FULL', 'u_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_USER_LIMITED', 'u_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_USER_NEW_MEMBER', 'u_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_USER_NOAVATAR', 'u_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_USER_NOPM', 'u_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_USER_STANDARD', 'u_show_antiadblock', 'role')),

            array('permission.permission_unset', array('ROLE_FORUM_BOT', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_FULL', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_LIMITED', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_LIMITED_POLLS', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_NEW_MEMBER', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_NOACCESS', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_ONQUEUE', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_POLLS', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_READONLY', 'f_show_antiadblock', 'role')),
            array('permission.permission_unset', array('ROLE_FORUM_STANDARD', 'f_show_antiadblock', 'role')),
        );
    }
}
?>